Debian Bug report logs - #602041
unblock: arduino/0018+dfsg-6

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Scott Howard <showard314@gmail.com>

Date: Sun, 31 Oct 2010 22:45:08 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, showard314@gmail.com, Debian Release Team <debian-release@lists.debian.org>:
Bug#602041; Package release.debian.org. (Sun, 31 Oct 2010 22:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard314@gmail.com>:
New Bug report received and forwarded. Copy sent to showard314@gmail.com, Debian Release Team <debian-release@lists.debian.org>. (Sun, 31 Oct 2010 22:45:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: arduino/0018+dfsg-5
Date: Thu, 21 Oct 2010 12:11:25 -0400
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: freeze-exception


Please unblock package arduino

Arduino won't start if users have sun-java installed. This is a bug in the sun-
java jre. See Debian bug 382686. Since we cannot edit those binaries, I
uploaded a two line work around that sets LD_LIBRARY_PATH in the arduino
wrapper to look in /usr/lib/java.

I've received multiple contacts through email and ubuntu's launchpad on this
bug, and have fixed it in experimental. However, I believe this to be an RC bug
(serious) and stable users should have this fix.

Thank you

unblock arduino/0018+dfsg-5

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (650, 'testing'), (600, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#602041; Package release.debian.org. (Mon, 01 Nov 2010 13:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 01 Nov 2010 13:30:05 GMT) Full text and rfc822 format available.

Message #10 received at 602041@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Scott Howard <showard314@gmail.com>, 602041@bugs.debian.org
Subject: Re: Bug#602041: unblock: arduino/0018+dfsg-5
Date: Mon, 1 Nov 2010 14:27:06 +0100
[Message part 1 (text/plain, inline)]
On Thu, Oct 21, 2010 at 12:11:25 -0400, Scott Howard wrote:

> Arduino won't start if users have sun-java installed. This is a bug in the sun-
> java jre. See Debian bug 382686. Since we cannot edit those binaries, I
> uploaded a two line work around that sets LD_LIBRARY_PATH in the arduino
> wrapper to look in /usr/lib/java.
> 
> I've received multiple contacts through email and ubuntu's launchpad on this
> bug, and have fixed it in experimental. However, I believe this to be an RC bug
> (serious) and stable users should have this fix.
> 
Your message and changelog say /usr/lib/java, the diff says
/usr/lib/jni.  Which is it?

Also your fix makes LD_LIBRARY_PATH point at . if it was previously
empty or unset, you need to set
LD_LIBRARY_PATH="/usr/lib/jni${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}"
or similar.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#602041; Package release.debian.org. (Tue, 02 Nov 2010 01:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard314@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 02 Nov 2010 01:12:03 GMT) Full text and rfc822 format available.

Message #15 received at 602041@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: Julien Cristau <jcristau@debian.org>, 602041@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#602041: unblock: arduino/0018+dfsg-6
Date: Mon, 1 Nov 2010 21:09:37 -0400
retitle 602041 unblock: arduino/0018+dfsg-6
thanks

On Mon, Nov 1, 2010 at 9:27 AM, Julien Cristau <jcristau@debian.org> wrote:
> Your message and changelog say /usr/lib/java, the diff says
> /usr/lib/jni.  Which is it?

The changelog is wrong, the diff is correct. /usr/lib/jni is what the
LD_LIBRARY_PATH should be set to. I put a comment in the changelog and
fixed it

> Also your fix makes LD_LIBRARY_PATH point at . if it was previously
> empty or unset, you need to set
> LD_LIBRARY_PATH="/usr/lib/jni${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}"
> or similar.

Thanks - that's a good fix. I was trying to keep the same (flawed)
format upstream used. I forwarded your comment upstream too.

I uploaded a version with your comments corrected as
arduino/0018+dfsg-6 and retitled this report.

Regards,
Scott




Changed Bug title to 'unblock: arduino/0018+dfsg-6' from 'unblock: arduino/0018+dfsg-5' Request was from Scott Howard <showard314@gmail.com> to control@bugs.debian.org. (Tue, 02 Nov 2010 01:12:04 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Tue, 02 Nov 2010 09:45:09 GMT) Full text and rfc822 format available.

Notification sent to Scott Howard <showard314@gmail.com>:
Bug acknowledged by developer. (Tue, 02 Nov 2010 09:45:09 GMT) Full text and rfc822 format available.

Message #22 received at 602041-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Scott Howard <showard314@gmail.com>, 602041-done@bugs.debian.org
Subject: Re: Bug#602041: unblock: arduino/0018+dfsg-6
Date: Tue, 2 Nov 2010 10:43:35 +0100
[Message part 1 (text/plain, inline)]
On Mon, Nov  1, 2010 at 21:09:37 -0400, Scott Howard wrote:

> I uploaded a version with your comments corrected as
> arduino/0018+dfsg-6 and retitled this report.
> 
Thanks, unblocked.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 01 Dec 2010 07:33:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:38:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.